### Virtual Method

# Shumate DataSource get_tile_data_finish

#### Declaration [src]

    GBytes*
    get_tile_data_finish (
      ShumateDataSource* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the final result of a request started with shumate_data_source_get_tile_data_async().

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult` provided to callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

The requested data, or `NULL` if an error occurred.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.